// AdvancedSiteDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ArticleSubmitter.h"
#include "AdvancedSiteDlg.h"


// CAdvancedSiteDlg dialog

IMPLEMENT_DYNAMIC(CAdvancedSiteDlg, CDialog)
CAdvancedSiteDlg::CAdvancedSiteDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAdvancedSiteDlg::IDD, pParent)
	, mFirstName(_T(""))
	, mLastName(_T(""))
	, mFullName(_T(""))
	, mEmail(_T(""))
	, mWebsite(_T(""))
	, mTitle(_T(""))
	, mArticle(_T(""))
	, mCompany(_T(""))
	, mSubmitter(_T(""))
	, mLogin(_T(""))
	, mPassword(_T(""))
	, mSummary(_T(""))
	, mBio(_T(""))
	, mLoginSubmit(_T(""))
	, mWebsiteTitle(_T(""))
{
}

CAdvancedSiteDlg::~CAdvancedSiteDlg()
{
}

void CAdvancedSiteDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_FIRSTNAME, mFirstName);
	DDX_Text(pDX, IDC_LAST_NAME, mLastName);
	DDX_Text(pDX, IDC_FULL_NAME, mFullName);
	DDX_Text(pDX, IDC_EMAIL, mEmail);
	DDX_Text(pDX, IDC_TITLE, mTitle);
	DDX_Text(pDX, IDC_ARTICLE, mArticle);
	DDX_Text(pDX, IDC_COMPANY, mCompany);
	DDX_Text(pDX, IDC_SUBMITTER, mSubmitter);
	DDX_Text(pDX, IDC_LOGIN, mLogin);
	DDX_Text(pDX, IDC_PASSWORD, mPassword);
	DDX_Text(pDX, IDC_SUM, mSummary);
	DDX_Text(pDX, IDC_BIO, mBio);
	DDX_Text(pDX, IDC_LOGINSUBMIT, mLoginSubmit);
	DDX_Text(pDX, IDC_WEBSITENAME, mWebsiteTitle);
	DDX_Text(pDX, IDC_WEBSITE, mWebsite);
}


BEGIN_MESSAGE_MAP(CAdvancedSiteDlg, CDialog)
END_MESSAGE_MAP()


// CAdvancedSiteDlg message handlers
